List a dispute's attachments
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/disputes/{disputeId}/attachments \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/disputes/{disputeId}/attachments"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/disputes/{disputeId}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"fileName": "<string>",
"mimetype": "<string>",
"fileSizeBytes": 1,
"uploadedAt": "2023-11-07T05:31:56Z"
}
]Disputes
List a dispute's attachments
Returns all attachments for a dispute. For disputes that only have legacy evidence (uploaded before multi-attachment support), a single virtual attachment with ID โlegacyโ is returned.
GET
/
issuing
/
disputes
/
{disputeId}
/
attachments
List a dispute's attachments
Authorizations
Path Parameters
ID of the dispute
Response
Successful operation
The attachment's unique identifier
The original filename of the attachment
The MIME type of the attachment
The file size in bytes
Required range:
x >= 0The time at which the attachment was uploaded